Compatibility Matrix

Kubeflow Pipelines compatibility matrix with TensorFlow Extended (TFX)

Kubeflow Pipelines Backend and TFX compatibility

Pipelines written in any version of TensorFlow Extended (TFX) will execute on any version of Kubeflow Pipelines (KFP) backend. However, some UI features may not be functioning properly if the TFX and Kubeflow Pipelines Backend versions are not compatible.

The following table shows UI feature compatibility for TFX and Kubeflow Pipelines Backend versions:

TFX \ KFP Backend KFP Backend <= 1.5 KFP Backend >= 1.7
TFX <= 0.28.0 Fully Compatible ✅ Metadata UI not compatible2
TFX 0.29.0, 0.30.0 Visualizations not compatible1 Metadata UI not compatible2
TFX 1.0.0 Metadata UI not compatible2 Metadata UI not compatible2
TFX >= 1.2.0 Metadata UI not compatible2 Fully Compatible ✅

Detailed explanations:

1. Visualizations not compatible: Kubeflow Pipelines UI and TFDV, TFMA visualizations is not compatible. Visualizations throw an error in Kubeflow Pipelines UI.

2. Metadata UI not compatible: Kubeflow Pipelines UI and TFX recorded ML Metadata is not compatible. ML Metadata tab in run details page shows error message “Corresponding ML Metadata not found”. As a result, visualizations based on ML Metadata do not show up in visualizations tab either.

Feedback

Was this page helpful?


Last modified September 15, 2022: Pipelines v2 content: KFP SDK (#3346) (3f6a118c)